diff --git a/src/bluesnarfer.c b/src/bluesnarfer.c
index 62ae8a67b914..bcd633027186 100644
--- a/src/bluesnarfer.c
+++ b/src/bluesnarfer.c
@@ -236,7 +236,8 @@ int bt_get_remote_name(char *str_bdaddr) {
 
 char *rfcomm_read(FILE *fp, char *send) {
 
-	int r, line_size, ret; 
+	int r, ret; 
+	size_t line_size;
 	char *line; 
 
 	line = 0x00; 
